POST
/
v2
/
classifications
/
{classification_id}
/
corrections
Append a user correction for a classification
curl --request POST \
  --url https://api-v2.watchcollect.com/v2/classifications/{classification_id}/corrections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "output": {
    "watches": [
      {
        "brand": "<string>",
        "model": "<string>",
        "reference": "<string>",
        "year": "<string>",
        "price_amount": 123,
        "currency_code": "<string>",
        "expected_price_usd": 123,
        "full_set_status": [],
        "variant": "<string>",
        "dial_type": "<string>"
      }
    ]
  }
}
'
{
  "status": "accepted",
  "event_ids": [
    "018f06e2-4f8d-7c01-8a0d-cc6fd78f7002"
  ],
  "request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

classification_id
string<uuid>
required

Body

application/json
output
object
required

Response

Correction event accepted.

status
enum<string>
required
Available options:
accepted,
duplicate_accepted,
rejected,
conflict,
noop
event_ids
string<uuid>[]
required
request_id
string
required
resource_id
string | null